<div class="container py-5 mx-auto" id="scrollToTop">
    <form class="form" [formGroup]="signinForm" (ngSubmit)="onSubmit()">
      <div class="row justify-content-center">
        <div class="col-lg-6 col-md-8">
          <div class="h-100 card customShadow border-0 px-4 py-4 mt-5">
            <h3 class="mb-2 text-center">Login</h3>
            <p class="mb-4 text-center"></p>
            <!-- <div *ngIf="serverErrorMessages" class="alert alert-danger mb-3">{{serverErrorMessages}}</div> -->
            <div class="row px-3  mb-4">
              <label class="mb-1">
                Username <sup class="requiredField">*</sup> 
              </label>
              <input class="form-control" type="text" 
              formControlName="username" placeholder="Enter username">
              <div *ngIf="submitted && f.username.errors" class="invalid-feedback">
                <div *ngIf="f.username.errors.required">Username is required.</div>
              </div>
            </div>
            <div class="row px-3 mb-4">
              <label class="mb-1">
                Password <sup class="requiredField">*</sup> 
              </label>
              <input class="form-control" type="password" formControlName="password" placeholder="Enter password"> 
              <div *ngIf="submitted && f.password.errors" class="invalid-feedback">
                <div *ngIf="f.password.errors.required">Password is required.</div>
              </div>
            </div>
            <div class="row px-3">
              <button type="submit" class="btn btn-primary btn-block signBtn" [disabled]="!signinForm.valid">Login</button>
            </div>
          </div>
        </div>
      </div>
    </form>
  </div>